#include <stdio.h>
#include <math.h>

/* 
Para compilar se necesita enlazar la biblioteca math.h:
gcc 0202menuOperAritm.c -o 0202menuOperAritm -lm
*/

int main()
{

    /* Variables */
    int menu, num1, num2;
    float potencia;

    /* Solicitamos valores para las variables */
    printf("\nIntroduce el primer numero para operar\n");
    scanf("%d", &num1);
    printf("\nIntroduce el segundo numero para operar\n");
    scanf("%d", &num2);

    /* Elegir opción */
    printf("\nIntroduce una opción del 1 al 5: ");
    printf("\n1 Suma ");
    printf("\n2 División");
    printf("\n3 diferencia");
    printf("\n4 producto");
    printf("\n5 potencia\n");

    scanf("%d", &menu);

    /* Condicional case para seleccionar el número mayor */
    switch (menu)
    {
    case 1:
        printf("\nEl resultado de la suma es: %d\n", num1 + num2);
        break;
    case 2:
        printf("\nEl resultado de la división es: %d\n", num1 / num2);
        break;
    case 3:
        printf("\nEl resultado de la resta es: %d\n", num1 - num2);
        break;
    case 4:
        printf("\nEl resultado de la multiplicación es: %d\n", num1 * num2);
        break;
    case 5:
        potencia = pow(num1, num2);
        printf("\nEl resultado de la división es: %f\n", potencia);
        break;

    default:
        printf("\nNo es un valor correcto\n\n");
    }
}
